Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2075428 - %posttrans(systemd-resolved-249.11-2.fc35.x86_64) scriptlet failed, exit status 1
Summary: %posttrans(systemd-resolved-249.11-2.fc35.x86_64) scriptlet failed, exit stat...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-04-14 08:09 UTC by Kamil Páral
Modified: 2022-05-22 01:23 UTC (History)
17 users (show)

Fixed In Version: systemd-249.12-3.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-05-22 01:23:09 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
`dnf history info last` output (deleted)
2022-04-14 08:11 UTC, Kamil Páral
no flags Details
system journal from the offline upgrade boot (deleted)
2022-04-14 08:11 UTC, Kamil Páral
no flags Details

Description Kamil Páral 2022-04-14 08:09:27 UTC
Description of problem:
During upgrading to systemd-249.11-2.fc35 [1]:

dnf[1058]:   Running scriptlet: systemd-resolved-249.11-2.fc35.x86_64                52/52
dnf[1058]: ln: failed to create symbolic link '/etc/resolv.conf': File exists
dnf[1058]: warning: %posttrans(systemd-resolved-249.11-2.fc35.x86_64) scriptlet failed, exit status 1
dnf[1058]: Error in POSTTRANS scriptlet in rpm package systemd-resolved

On my system:
$ ll /etc/resolv.conf 
lrwxrwxrwx. 1 root root 39  8. dub 10.08 /etc/resolv.conf -> ../run/systemd/resolve/stub-resolv.conf


[1] https://bodhi.fedoraproject.org/updates/FEDORA-2022-1bf06aa328


Version-Release number of selected component (if applicable):
systemd-resolved-249.11-2.fc35

Comment 1 Kamil Páral 2022-04-14 08:11:06 UTC
Created attachment 1872404 [details]
`dnf history info last` output

Comment 2 Kamil Páral 2022-04-14 08:11:23 UTC
Created attachment 1872405 [details]
system journal from the offline upgrade boot

Comment 4 Marcos Mello 2022-04-18 19:15:15 UTC
The ln error message is cosmetic, no? If so then please push systemd-249.11-2.fc35 to stable to allow F35 netinstalls (with the update repository enabled) work again.

Comment 5 Zbigniew Jędrzejewski-Szmek 2022-04-22 16:19:10 UTC
That was stupid of me. I think I knew about the useless %posttrans argument, that's why the check wasn't
there in the initial version. But when moving it between branches I forgot and wanted to "fix" things.

Comment 6 Fedora Update System 2022-04-28 20:41:48 UTC
FEDORA-2022-01079468a3 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-01079468a3

Comment 7 Fedora Update System 2022-04-29 08:09:12 UTC
FEDORA-2022-01079468a3 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-01079468a3`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-01079468a3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2022-04-30 18:21:49 UTC
FEDORA-2022-01079468a3 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-01079468a3`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-01079468a3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2022-05-22 01:23:09 UTC
FEDORA-2022-01079468a3 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.